# -*- coding: utf-8 -*-

from django.utils.translation import ugettext_lazy as _
import admin_tools
from admin_tools.dashboard import modules, AppIndexDashboard

from jmb.core.admin import dashboard as jmb_dashboard


class CarriageDashboard(modules.Group):
    def __init__(self, **kwargs):
        kwargs = {
            'title': "Carriage",
            'display': "tabs",
            'children': [Models()]
        }
        super(CarriageDashboard, self).__init__(**kwargs)


class DefaultDashboard(modules.Group):
    def __init__(self, **kwargs):
        kwargs = {
            'title': "Carriage",
            'display': "tabs",
            'children': [Models()]
        }
        super(DefaultDashboard, self).__init__(**kwargs)


class Models(modules.ModelList):
    def __init__(self, **kwargs):
        kwargs = {
            'title': _("Main Models"),
            'models': ('jmb.carriage.models.*',),
        }
        super(Models, self).__init__(**kwargs)


class DefaultAppDashboard(AppIndexDashboard):
    def __init__(self, app_title, models, **kwargs):
        AppIndexDashboard.__init__(self, app_title, models, **kwargs)
        self.columns = 3

    def init_with_context(self, context):
        request = context['request']
        self.children.append(DefaultDashboard(),)

jmb_dashboard.register_group(CarriageDashboard, 'jmb.carriage')
admin_tools.dashboard.register(DefaultAppDashboard, 'jmb.carriage')