# -*- coding: utf-8 -*-

from django.utils.translation import ugettext as _
from django.core.urlresolvers import reverse
from admin_tools.menu import items
from jmb.core.admin.menu import register_menu


carriage_menu_item = items.MenuItem(
    # GENERAL
    _('Carriage'),
    reverse('admin:app_list', kwargs={'app_label': 'carriage'}),
    children=[
        items.MenuItem(
            _('Carriage'), '',
            children=[
                items.MenuItem(_('Add Carriage'), reverse('admin:carriage_carriage_add',)),
                items.MenuItem(_('Carriage List'), reverse('admin:carriage_carriage_changelist',)),
            ]
        ),
        items.MenuItem(
            _('Delivery'), '',
            children=[
                items.MenuItem(_('Add Delivery'), reverse('admin:carriage_delivery_add',)),
                items.MenuItem(_('Delivery List'), reverse('admin:carriage_delivery_changelist',)),
            ]
        ),
    ]
)

register_menu(carriage_menu_item, 'jmb.carriage')
